# WOK
TKWOK
EDL

# EDL_HSequenceOfVariable Class Reference

`#include <EDL_HSequenceOfVariable.hxx>`

## Public Member Functions

| EDL_HSequenceOfVariable ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const EDL_Variable &anItem)
Standard_EXPORT void | Append (const Handle(EDL_HSequenceOfVariable)&aSequence)
Standard_EXPORT void | Prepend (const EDL_Variable &anItem)
Standard_EXPORT void | Prepend (const Handle(EDL_HSequenceOfVariable)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const EDL_Variable &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(EDL_HSequenceOfVariable)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const EDL_Variable &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(EDL_HSequenceOfVariable)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_EDL_HSequenceOfVariable | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const EDL_Variable &anItem)
Standard_EXPORT const EDL_Variable & | Value (const Standard_Integer anIndex) const
Standard_EXPORT EDL_Variable & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const EDL_SequenceOfVariable & | Sequence () const
EDL_SequenceOfVariable & | ChangeSequence ()
Standard_EXPORT Handle_EDL_HSequenceOfVariable | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

EDL_SequenceOfVariable | mySequence

## Constructor & Destructor Documentation

EDL_HSequenceOfVariable::EDL_HSequenceOfVariable | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void EDL_HSequenceOfVariable::Append | ( | const Handle(EDL_HSequenceOfVariable)& | aSequence | ) |

Standard_EXPORT void EDL_HSequenceOfVariable::Append | ( | const EDL_Variable & | anItem | ) |

EDL_SequenceOfVariable& EDL_HSequenceOfVariable::ChangeSequence | ( |  | ) |

Standard_EXPORT EDL_Variable& EDL_HSequenceOfVariable::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void EDL_HSequenceOfVariable::Clear | ( |  | ) |

Standard_EXPORT void EDL_HSequenceOfVariable::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const EDL_HSequenceOfVariable::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void EDL_HSequenceOfVariable::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(EDL_HSequenceOfVariable)& | aSequence
| ) |

Standard_EXPORT void EDL_HSequenceOfVariable::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const EDL_Variable & | anItem
| ) |

Standard_EXPORT void EDL_HSequenceOfVariable::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(EDL_HSequenceOfVariable)& | aSequence
| ) |

Standard_EXPORT void EDL_HSequenceOfVariable::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const EDL_Variable & | anItem
| ) |

Standard_Boolean EDL_HSequenceOfVariable::IsEmpty | ( |  | ) | const

Standard_Integer EDL_HSequenceOfVariable::Length | ( |  | ) | const

Standard_EXPORT void EDL_HSequenceOfVariable::Prepend | ( | const Handle(EDL_HSequenceOfVariable)& | aSequence | ) |

Standard_EXPORT void EDL_HSequenceOfVariable::Prepend | ( | const EDL_Variable & | anItem | ) |

Standard_EXPORT void EDL_HSequenceOfVariable::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void EDL_HSequenceOfVariable::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void EDL_HSequenceOfVariable::Reverse | ( |  | ) |

const EDL_SequenceOfVariable& EDL_HSequenceOfVariable::Sequence | ( |  | ) | const

Standard_EXPORT void EDL_HSequenceOfVariable::SetValue | ( | const Standard_Integer | anIndex,
|  | const EDL_Variable & | anItem
| ) |

Standard_EXPORT Handle_EDL_HSequenceOfVariable EDL_HSequenceOfVariable::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_EDL_HSequenceOfVariable EDL_HSequenceOfVariable::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const EDL_Variable& EDL_HSequenceOfVariable::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

EDL_SequenceOfVariable EDL_HSequenceOfVariable::mySequence `[private]`

The documentation for this class was generated from the following file:

- EDL_HSequenceOfVariable.hxx